Package net.shibboleth.shared.spring.service

# Class ApplicationContextServiceStrategy

java.lang.Object
net.shibboleth.shared.spring.service.ApplicationContextServiceStrategy

All Implemented Interfaces:
  `Function<ApplicationContext,AbstractServiceableComponent<ApplicationContext>>`, `NonnullFunction<ApplicationContext,AbstractServiceableComponent<ApplicationContext>>`

public class ApplicationContextServiceStrategy extends Object implements NonnullFunction<ApplicationContext,AbstractServiceableComponent<ApplicationContext>>
Strategy for summoning up an `ApplicationContextServiceableComponent` wrapper around a populated `ApplicationContext`.

Since:
  5.4.0

## Constructor Summary

Constructors
Constructor
Description
`ApplicationContextServiceStrategy()`

## Method Summary

Modifier and Type
Method
Description
`AbstractServiceableComponent<ApplicationContext>`
`apply(ApplicationContext appContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ApplicationContextServiceStrategy

public ApplicationContextServiceStrategy()

## Method Details

### apply

@Nonnull public AbstractServiceableComponent<ApplicationContext> apply(@Nullable ApplicationContext appContext)

Specified by:
  `apply` in interface `Function<ApplicationContext,AbstractServiceableComponent<ApplicationContext>>`
Specified by:
  `apply` in interface `NonnullFunction<ApplicationContext,AbstractServiceableComponent<ApplicationContext>>`